HomeREST APIClassified ad

Classified ad

Reference for the classified ad endpoints of the Interact REST API.

Note: All endpoints require authentication and an X-Tenant header. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.

Endpoints on this page

GET /api/classified-ad

Get Classified Ads listings

Parameters

Name In Type Required Description
request.q query string No
request.topics query string No
request.minPrice query integer (int32) No
request.maxPrice query integer (int32) No
request.location query string No
request.conditionId query array of integer No
request.sectionId query integer (int32) No
request.orderBy query string No Allowed values: UpdatedDate, Price, Popularity, Relevancy, CommentCount, ReactionCount
request.order query string No Allowed values: Desc, Asc
request.showMyAdsOnly query boolean No
request.currencyCode query string No
request.offset query integer (int32) No
request.limit query integer (int32) No

Responses

Status Body
200 See below
400
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "Title": "string",
        "Description": "string",
        "Price": {
          "Value": 0,
          "CurrencyCode": "string"
        },
        "ConditionId": 0,
        "Status": "Unknown",
        "PrimaryAssetId": 0,
        "Id": 0,
        "Entity": {
          "Type": "string",
          "TypeId": 0
        },
        "IsPrivate": true,
        "ParentId": 0,
        "IsPinned": true,
        "DateTimeOccurred": "2024-01-01T00:00:00Z",
        "Stats": {
          "IsLikedByMe": true,
          "MyReaction": 0,
          "Likes": {
            "Count": 0,
            "PreviewItems": [
              {}
            ]
          },
          "Comments": {
            "Count": 0,
            "PreviewItems": [
              {}
            ]
          },
          "Reactions": [
            {
              "ReactionTypeId": 0,
              "Actor": {}
            }
          ]
        },
        "Topics": [
          {
            "Id": 0,
            "Name": "string"
          }
        ],
        "Notification": {
          "Text": "string",
          "Html": "string"
        },
        "Action": {
          "Verb": "string",
          "Type": "string",
          "TypeId": 0,
          "Text": "string",
          "Html": "string",
          "SubType": "string"
        },
        "Actor": {
          "Id": 0,
          "AssetId": 0,
          "Title": "string",
          "Link": "string"
        },
        "Recipient": {
          "Id": 0,
          "AssetId": 0,
          "Title": "string",
          "Link": "string",
          "TypeId": 0,
          "Type": "string"
        },
        "Location": {
          "Id": 0,
          "Title": "string",
          "Type": "string",
          "Link": "string"
        },
        "SecondaryLocation": {
          "Id": 0,
          "Title": "string",
          "Type": "string",
          "Link": "string"
        },
        "Translation": {
          "OfferTranslation": true,
          "TargetLanguageCode": "string",
          "IsTargetLanguageRtl": true,
          "SourceLanguageCode": "string",
          "IsSourceLanguageRtl": true
        },
        "Files": [
          {
            "AttachmentId": 0,
            "FileGuid": "string",
            "Path": "string",
            "Title": "string",
            "Size": 0,
            "Extension": "string",
            "SortOrder": 0
          }
        ],
        "TargetMetadata": "string",
        "SectionId": 0,
        "TopLevelSectionId": 0,
        "TopLevelSectionType": "string",
        "TopLevelSectionName": "string",
        "ImpressionsCount": 0,
        "IsPublishedAsOrganisation": true,
        "AdditionalData": {},
        "SupportedActions": {
          "Approve": true,
          "Comment": true,
          "Copy": true,
          "Delete": true,
          "Edit": true,
          "Like": true,
          "Pin": true,
          "React": true,
          "PostSchedule": true,
          "ViewSignalInsights": true,
          "EditWithReason": true
        },
        "PermittedActions": {
          "Approve": true,
          "Comment": true,
          "Copy": true,
          "Delete": true,
          "Edit": true,
          "Like": true,
          "Pin": true,
          "React": true,
          "PostSchedule": true,
          "ViewSignalInsights": true,
          "EditWithReason": true
        }
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string

GET /api/classified-ad/categories

List categories.

Parameters

Name In Type Required Description
offset query integer (int32) No
limit query integer (int32) No

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "CategoryId": 0,
        "CategoryName": "string",
        "Count": 0
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string

GET /api/classified-ad/conditions

List conditions.

Parameters

Name In Type Required Description
offset query integer (int32) No
limit query integer (int32) No

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "Id": 0,
        "Name": "string",
        "Count": 0
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string

GET /api/classified-ad/currencies

List currencies.

Parameters

Name In Type Required Description
offset query integer (int32) No
limit query integer (int32) No

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "CurrencyCode": "string"
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string

GET /api/classified-ad/locations

List locations.

Parameters

Name In Type Required Description
offset query integer (int32) No
limit query integer (int32) No

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "LocationId": 0,
        "LocationName": "string",
        "Count": 0
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string

GET /api/classified-ad/permissions

List permissions.

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "IsApprover": true,
        "ApprovalNeeded": true
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string

GET /api/classified-ad/{id}

Gets a single Classified Ad

Parameters

Name In Type Required Description
id path integer (int32) Yes

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "Title": "string",
    "Description": "string",
    "Price": {
      "Value": 0,
      "CurrencyCode": "string"
    },
    "ConditionId": 0,
    "Status": "Unknown",
    "PrimaryAssetId": 0,
    "Id": 0,
    "Entity": {
      "Type": "string",
      "TypeId": 0
    },
    "IsPrivate": true,
    "ParentId": 0,
    "IsPinned": true,
    "DateTimeOccurred": "2024-01-01T00:00:00Z",
    "Stats": {
      "IsLikedByMe": true,
      "MyReaction": 0,
      "Likes": {
        "Count": 0,
        "PreviewItems": [
          {
            "FeedLikeAdditionalData": {},
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        ]
      },
      "Comments": {
        "Count": 0,
        "PreviewItems": [
          {
            "Id": 0,
            "DateTimeOccurred": "2024-01-01T00:00:00Z",
            "Data": "string",
            "Person": {},
            "Translation": {},
            "LikeCount": 0,
            "CanDelete": true,
            "CanLike": true,
            "IsLikedByMe": true,
            "Files": [
              {}
            ],
            "FeedCommentAdditionalData": {},
            "MyReaction": 0,
            "Reactions": [
              {}
            ],
            "SupportedActions": {},
            "PermittedActions": {},
            "IsEdited": true
          }
        ]
      },
      "Reactions": [
        {
          "ReactionTypeId": 0,
          "Actor": {
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        }
      ]
    },
    "Topics": [
      {
        "Id": 0,
        "Name": "string"
      }
    ],
    "Notification": {
      "Text": "string",
      "Html": "string"
    },
    "Action": {
      "Verb": "string",
      "Type": "string",
      "TypeId": 0,
      "Text": "string",
      "Html": "string",
      "SubType": "string"
    },
    "Actor": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string"
    },
    "Recipient": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string",
      "TypeId": 0,
      "Type": "string"
    },
    "Location": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "SecondaryLocation": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "Translation": {
      "OfferTranslation": true,
      "TargetLanguageCode": "string",
      "IsTargetLanguageRtl": true,
      "SourceLanguageCode": "string",
      "IsSourceLanguageRtl": true
    },
    "Files": [
      {
        "AttachmentId": 0,
        "FileGuid": "string",
        "Path": "string",
        "Title": "string",
        "Size": 0,
        "Extension": "string",
        "SortOrder": 0
      }
    ],
    "TargetMetadata": "string",
    "SectionId": 0,
    "TopLevelSectionId": 0,
    "TopLevelSectionType": "string",
    "TopLevelSectionName": "string",
    "ImpressionsCount": 0,
    "IsPublishedAsOrganisation": true,
    "AdditionalData": {},
    "SupportedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    },
    "PermittedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

POST /api/classified-ad

Inserts a Classified Ad

Request body

{
  "Title": "string",
  "Description": "string",
  "Price": {
    "Value": 0,
    "CurrencyCode": "string"
  },
  "ConditionId": 0,
  "PrimaryAssetId": 0,
  "AttachmentIds": [
    0
  ],
  "SectionId": 0
}
FieldType
Titlestring
Descriptionstring
Priceobject
ConditionIdinteger (int32)
PrimaryAssetIdinteger (int32)
AttachmentIdsarray of integer
SectionIdinteger (int32)

Responses

Status Body
200 object
201 object
400
401
403
500

PUT /api/classified-ad/{id}

Update a single Classified Ad

Parameters

Name In Type Required Description
id path integer (int32) Yes

Request body

{
  "Title": "string",
  "Description": "string",
  "Price": {
    "Value": 0,
    "CurrencyCode": "string"
  },
  "ConditionId": 0,
  "PrimaryAssetId": 0,
  "ExistingPrimaryAssetId": 0,
  "SectionId": 0,
  "AttachmentIds": [
    0
  ],
  "ExistingAttachmentIds": [
    0
  ]
}
FieldType
Titlestring
Descriptionstring
Priceobject
ConditionIdinteger (int32)
PrimaryAssetIdinteger (int32)
ExistingPrimaryAssetIdinteger (int32)
SectionIdinteger (int32)
AttachmentIdsarray of integer
ExistingAttachmentIdsarray of integer

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "Title": "string",
    "Description": "string",
    "Price": {
      "Value": 0,
      "CurrencyCode": "string"
    },
    "ConditionId": 0,
    "Status": "Unknown",
    "PrimaryAssetId": 0,
    "Id": 0,
    "Entity": {
      "Type": "string",
      "TypeId": 0
    },
    "IsPrivate": true,
    "ParentId": 0,
    "IsPinned": true,
    "DateTimeOccurred": "2024-01-01T00:00:00Z",
    "Stats": {
      "IsLikedByMe": true,
      "MyReaction": 0,
      "Likes": {
        "Count": 0,
        "PreviewItems": [
          {
            "FeedLikeAdditionalData": {},
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        ]
      },
      "Comments": {
        "Count": 0,
        "PreviewItems": [
          {
            "Id": 0,
            "DateTimeOccurred": "2024-01-01T00:00:00Z",
            "Data": "string",
            "Person": {},
            "Translation": {},
            "LikeCount": 0,
            "CanDelete": true,
            "CanLike": true,
            "IsLikedByMe": true,
            "Files": [
              {}
            ],
            "FeedCommentAdditionalData": {},
            "MyReaction": 0,
            "Reactions": [
              {}
            ],
            "SupportedActions": {},
            "PermittedActions": {},
            "IsEdited": true
          }
        ]
      },
      "Reactions": [
        {
          "ReactionTypeId": 0,
          "Actor": {
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        }
      ]
    },
    "Topics": [
      {
        "Id": 0,
        "Name": "string"
      }
    ],
    "Notification": {
      "Text": "string",
      "Html": "string"
    },
    "Action": {
      "Verb": "string",
      "Type": "string",
      "TypeId": 0,
      "Text": "string",
      "Html": "string",
      "SubType": "string"
    },
    "Actor": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string"
    },
    "Recipient": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string",
      "TypeId": 0,
      "Type": "string"
    },
    "Location": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "SecondaryLocation": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "Translation": {
      "OfferTranslation": true,
      "TargetLanguageCode": "string",
      "IsTargetLanguageRtl": true,
      "SourceLanguageCode": "string",
      "IsSourceLanguageRtl": true
    },
    "Files": [
      {
        "AttachmentId": 0,
        "FileGuid": "string",
        "Path": "string",
        "Title": "string",
        "Size": 0,
        "Extension": "string",
        "SortOrder": 0
      }
    ],
    "TargetMetadata": "string",
    "SectionId": 0,
    "TopLevelSectionId": 0,
    "TopLevelSectionType": "string",
    "TopLevelSectionName": "string",
    "ImpressionsCount": 0,
    "IsPublishedAsOrganisation": true,
    "AdditionalData": {},
    "SupportedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    },
    "PermittedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

PATCH /api/classified-ad/{id}/approve

Approve the classified ad.

Parameters

Name In Type Required Description
id path integer (int32) Yes

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "Status": "string"
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

PATCH /api/classified-ad/{id}/markassold

Update a markassold.

Parameters

Name In Type Required Description
id path integer (int32) Yes

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "Status": "string"
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

PATCH /api/classified-ad/{id}/reject

Reject the classified ad.

Parameters

Name In Type Required Description
id path integer (int32) Yes

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "Status": "string"
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

DELETE /api/classified-ad/{id}

Delete a classified ad.

Parameters

Name In Type Required Description
id path integer (int32) Yes

Responses

Status Body
200 See below
401
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "Title": "string",
    "Description": "string",
    "Price": {
      "Value": 0,
      "CurrencyCode": "string"
    },
    "ConditionId": 0,
    "Status": "Unknown",
    "PrimaryAssetId": 0,
    "Id": 0,
    "Entity": {
      "Type": "string",
      "TypeId": 0
    },
    "IsPrivate": true,
    "ParentId": 0,
    "IsPinned": true,
    "DateTimeOccurred": "2024-01-01T00:00:00Z",
    "Stats": {
      "IsLikedByMe": true,
      "MyReaction": 0,
      "Likes": {
        "Count": 0,
        "PreviewItems": [
          {
            "FeedLikeAdditionalData": {},
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        ]
      },
      "Comments": {
        "Count": 0,
        "PreviewItems": [
          {
            "Id": 0,
            "DateTimeOccurred": "2024-01-01T00:00:00Z",
            "Data": "string",
            "Person": {},
            "Translation": {},
            "LikeCount": 0,
            "CanDelete": true,
            "CanLike": true,
            "IsLikedByMe": true,
            "Files": [
              {}
            ],
            "FeedCommentAdditionalData": {},
            "MyReaction": 0,
            "Reactions": [
              {}
            ],
            "SupportedActions": {},
            "PermittedActions": {},
            "IsEdited": true
          }
        ]
      },
      "Reactions": [
        {
          "ReactionTypeId": 0,
          "Actor": {
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        }
      ]
    },
    "Topics": [
      {
        "Id": 0,
        "Name": "string"
      }
    ],
    "Notification": {
      "Text": "string",
      "Html": "string"
    },
    "Action": {
      "Verb": "string",
      "Type": "string",
      "TypeId": 0,
      "Text": "string",
      "Html": "string",
      "SubType": "string"
    },
    "Actor": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string"
    },
    "Recipient": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string",
      "TypeId": 0,
      "Type": "string"
    },
    "Location": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "SecondaryLocation": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "Translation": {
      "OfferTranslation": true,
      "TargetLanguageCode": "string",
      "IsTargetLanguageRtl": true,
      "SourceLanguageCode": "string",
      "IsSourceLanguageRtl": true
    },
    "Files": [
      {
        "AttachmentId": 0,
        "FileGuid": "string",
        "Path": "string",
        "Title": "string",
        "Size": 0,
        "Extension": "string",
        "SortOrder": 0
      }
    ],
    "TargetMetadata": "string",
    "SectionId": 0,
    "TopLevelSectionId": 0,
    "TopLevelSectionType": "string",
    "TopLevelSectionName": "string",
    "ImpressionsCount": 0,
    "IsPublishedAsOrganisation": true,
    "AdditionalData": {},
    "SupportedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    },
    "PermittedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string

GET /api/classified-ad/{id}/translations/{languageCode}

Get translated feed item

Parameters

Name In Type Required Description
id path integer (int32) Yes
languageCode path string Yes

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Item": {
    "Title": "string",
    "Description": "string",
    "Price": {
      "Value": 0,
      "CurrencyCode": "string"
    },
    "ConditionId": 0,
    "Status": "Unknown",
    "PrimaryAssetId": 0,
    "Id": 0,
    "Entity": {
      "Type": "string",
      "TypeId": 0
    },
    "IsPrivate": true,
    "ParentId": 0,
    "IsPinned": true,
    "DateTimeOccurred": "2024-01-01T00:00:00Z",
    "Stats": {
      "IsLikedByMe": true,
      "MyReaction": 0,
      "Likes": {
        "Count": 0,
        "PreviewItems": [
          {
            "FeedLikeAdditionalData": {},
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        ]
      },
      "Comments": {
        "Count": 0,
        "PreviewItems": [
          {
            "Id": 0,
            "DateTimeOccurred": "2024-01-01T00:00:00Z",
            "Data": "string",
            "Person": {},
            "Translation": {},
            "LikeCount": 0,
            "CanDelete": true,
            "CanLike": true,
            "IsLikedByMe": true,
            "Files": [
              {}
            ],
            "FeedCommentAdditionalData": {},
            "MyReaction": 0,
            "Reactions": [
              {}
            ],
            "SupportedActions": {},
            "PermittedActions": {},
            "IsEdited": true
          }
        ]
      },
      "Reactions": [
        {
          "ReactionTypeId": 0,
          "Actor": {
            "Id": 0,
            "Name": "string",
            "JobTitle": "string",
            "AssetId": 0,
            "IsFollowing": true
          }
        }
      ]
    },
    "Topics": [
      {
        "Id": 0,
        "Name": "string"
      }
    ],
    "Notification": {
      "Text": "string",
      "Html": "string"
    },
    "Action": {
      "Verb": "string",
      "Type": "string",
      "TypeId": 0,
      "Text": "string",
      "Html": "string",
      "SubType": "string"
    },
    "Actor": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string"
    },
    "Recipient": {
      "Id": 0,
      "AssetId": 0,
      "Title": "string",
      "Link": "string",
      "TypeId": 0,
      "Type": "string"
    },
    "Location": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "SecondaryLocation": {
      "Id": 0,
      "Title": "string",
      "Type": "string",
      "Link": "string"
    },
    "Translation": {
      "OfferTranslation": true,
      "TargetLanguageCode": "string",
      "IsTargetLanguageRtl": true,
      "SourceLanguageCode": "string",
      "IsSourceLanguageRtl": true
    },
    "Files": [
      {
        "AttachmentId": 0,
        "FileGuid": "string",
        "Path": "string",
        "Title": "string",
        "Size": 0,
        "Extension": "string",
        "SortOrder": 0
      }
    ],
    "TargetMetadata": "string",
    "SectionId": 0,
    "TopLevelSectionId": 0,
    "TopLevelSectionType": "string",
    "TopLevelSectionName": "string",
    "ImpressionsCount": 0,
    "IsPublishedAsOrganisation": true,
    "AdditionalData": {},
    "SupportedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    },
    "PermittedActions": {
      "Approve": true,
      "Comment": true,
      "Copy": true,
      "Delete": true,
      "Edit": true,
      "Like": true,
      "Pin": true,
      "React": true,
      "PostSchedule": true,
      "ViewSignalInsights": true,
      "EditWithReason": true
    }
  },
  "ErrorMessages": [
    "string"
  ]
}
FieldType
StatusCodestring
Itemobject
ErrorMessagesarray of string
Section: REST API